window.onload = function() {
    addNotificationsObserver();
}

var shouldAddNotifObserver = false;

function addNotificationsObserver() {
    var target = document.querySelector("c-wiz.P6w8m.BDJ8fb");
    //console.log("Tinder Notif "+target);
    if(target) {
        if(shouldAddNotifObserver) {
            var observer = new MutationObserver(function(mutations) {
                mutations.forEach(function(mutation) {
                    //console.log("Tinder Notif mutation "+mutation.type);
                    setTimeout(function() {
                        extractNotificationData();
                    }, 1000);
                });
            });
            
            var config = {attributes:true, childList:true, characterData:true, subtree:true};
            observer.observe(target, config);
            //console.log("Notif Observer Added");
            shouldAddNotifObserver = false;
        }
    }
    else {
        var targetOld = document.querySelector("div.tlid-results-container");
        
        if(targetOld) {
            if(shouldAddNotifObserver) {
                var observer = new MutationObserver(function(mutations) {
                    mutations.forEach(function(mutation) {
                        //console.log("Tinder Notif mutation "+mutation.type);
                        setTimeout(function() {
                            extractNotificationData();
                        }, 1000);
                    });
                });
                
                var config = {attributes:true, childList:true, characterData:true, subtree:true};
                observer.observe(target, config);
                //console.log("Notif Observer Added");
                shouldAddNotifObserver = false;
            }
        }
        else {
            setTimeout(function(){
                addNotificationsObserver();
            }, 2000);
        }
        
    }
    
    
    
}

function extractNotificationData() {
    //alert("extract notif");
    //    var result = document.querySelector("#result_box");
    //    var text = result.innerHTML;
    //    if(text.length > 0) {
    //        console.log(text);
    //        alert(text);
    //    }
    //    else {
    //        var error = document.querySelector("#gt-res-error");
    //        if(error.innerHTML.length > 0) {
    //            //alert('$error$');
    //            console.log(error);
    //            location.reload();
    //        }
    //        else {
    //            console.log('no error');
    //        }
    //    }
//    setTimeout(function(){
        var text = extractTranslation();
        //console.log(text);
        alert(text);
//    }, 2000);
    
}

// new mechanism 29/11/2018
function extractTranslation() {


    // New Logic if found two result 20/05/2021
    var span = document.querySelector("div.J0lOec span");
    if(span) {
    var content = span.innerText;
        return content;
    }

    //    var container = document.getElementsByClassName("div.xyz");
    var container = document.querySelector("div.pBUSSe textarea");//J0lOec
    
    if(container) {
        //alert("extractTranslation");
        //console.log('container');
        //console.log(container);
        var content = container.innerText;
        if(content.length > 0) {
            return content;
        }
        
    } else {
//        setTimeout(function()
//                   {
            var containerOld = document.querySelector("span.tlid-translation.translation");
            alert(containerOld.innerHTML);
            if(containerOld.childNodes.length > 0) {
                //console.log('child nodes');
                var i;
                var text = "";
                for (i=0; i<containerOld.childNodes.length-1; i++) {
                    var contentOld = containerOld.childNodes[i];
                    if(contentOld.innerText) {
                        text += contentOld.innerText;
                    }
                }
                if(text.length > 0) {
                    return text;
                }
                else {
                    //console.log('no child nodes');
                    //console.log(containerOld);
                    var contentOld = containerOld.innerText;
                    if(contentOld.length > 0) {
                        return contentOld;
                    }
                }
            }
            else {
                //console.log('no child nodes');
                //console.log(containerOld);
                var contentOld = containerOld.innerText;
                if(contentOld.length > 0) {
                    return content;
                }
            }
//        },2000);
        
        
        //alert("no container");
    }
    alert("");
    return "";
}


function extractDetectedLanguage() {
    
    var lang = document.querySelector('button[data-language-code=\"auto\"] span span');
    var detectedlang = "";
    if(lang){
        //console.log(lang);
        detectedlang = lang.innerText;
        var i = 0;
        var truncatedLanguage = "";
        for(i=0;i<detectedlang.length - 11;i++){
            truncatedLanguage += detectedlang[i];
        }
        return truncatedLanguage;
    } else {
        var oldLang = document.querySelector('[value=\"auto\"]');
        if(oldLang){
            //console.log(oldLang);
            detectedlang =  oldLang.innerText;
//            alert(detectedlang);
            return detectedlang;
        }
    }
}



function browserYorComputerButtonClicked() {
//    alert("browse button Clicked");
    var browseButton = document.querySelector("div label.y9jKHb");
    if(browseButton){
//        alert("browseButton Clicked 1");
        browseButton.click();
        
    } else {
//        alert("docButton button Clicked")
        var browseButtonOld = document.querySelector(".tlid-select-file-button.button");
        if(browseButtonOld){
//            alert("browseButtonOld Clicked 1");
            browseButtonOld.click();
        }
    }
    
}


function translateDocButtonClicked(){
    //    alert("translate doc button Clicked ");
    
    var translateDocButton = document.querySelector("button.VfPpkd-LgbsSe.VfPpkd-LgbsSe-OWXEXe-k8QpJ.nCP5yc.AjY5Oe.DuMIQc");
    if(translateDocButton){
//                alert("translateDocButton Clicked 1");
        //console.log("translateDocButton is present");
        translateDocButton.click();
    } else {
        //check for old components
        var translateDocButtonOld = document.querySelector(".tlid-translate-doc-button.button");
        if(translateDocButtonOld){
                    //alert("translateDocButtonOld Clicked 1");
            translateDocButtonOld.click();
            
        }
    }
    //}
}


function getDocumentTranslatedText() {
    
    var docTranslatedText = document.body.innerHTML;
    if(docTranslatedText){
        return docTranslatedText
    } //else {
    //        const removeElements = (elms) => elms.forEach(el => el.remove());
    //
    //           var sourceClass =  document.querySelectorAll(".google-src-text");
    //           if(sourceClass){
    //               // Use like:
    //               removeElements( document.querySelectorAll(".google-src-text") );
    //           }
    //
    //
    //           return document.body.innerHTML;
    //    }
    
    //    console.log(document.body.innerText);
    
}


function dictateSourceText(){
    
    
    //<button class="VfPpkd-Bz112c-LgbsSe fzRBVc tmJved SSgGrd m0Qfkd" jscontroller="xzbRj" jsaction="click:cOuCgd; mousedown:UX7yZ; mouseup:lbsD7e; mouseenter:tfO1Yc; mouseleave:JywGue; touchstart:p6p2H; touchmove:FwuNnf; touchend:yfqBxc; touchcancel:JMtRjd; focus:AHmuwe; blur:O22p3e; contextmenu:mg9Pef;" jsname="UsVyAb" aria-label="Listen to source text" aria-pressed="false" lang=""><span class="material-icons-extended VfPpkd-Bz112c-kBDsod-OWXEXe-IT5dJd VfPpkd-Bz112c-kBDsod" aria-hidden="true">stop</span><span class="material-icons-extended VfPpkd-Bz112c-kBDsod" aria-hidden="true">volume_up</span></button>
    
    var speakerButton = document.querySelector("button.VfPpkd-Bz112c-LgbsSe.fzRBVc.tmJved.SSgGrd.m0Qfkd");
    if(speakerButton){
        speakerButton.click()
        // Handle non-supported lang 21/05/2021
        if(speakerButton.disabled) {
            return "speak_button_disable";
        }
    } else {
        var speakerButtonOld = document.querySelector("div.ter.source-or-target-footer.tlid-copy-target div.res-tts.ttsbutton-res.left-positioned.ttsbutton.jfk-button-flat.source-or-target-footer-button.jfk-button");
        if(speakerButtonOld){
            speakerButtonOld.click()
        }
    }
    
}

function dictateTranslatedText(){
    
    var speakerButton = document.querySelector("button.VfPpkd-Bz112c-LgbsSe.fzRBVc.tmJved.SSgGrd.Tw0Tv.m0Qfkd");
    if(speakerButton){
        speakerButton.click()
        // Handle non-supported lang 21/05/2021
        if(speakerButton.disabled) {
            return "speak_button_disable";
        }

    } else {
        
        var speakerButtonOld = document.querySelector("div.source-footer div.src-tts.left-positioned.ttsbutton.jfk-button-flat.source-or-target-footer-button.jfk-button");
        if(speakerButtonOld){
            speakerButtonOld.click()
        }
    }
    
}
function allowCookiesContent(){
    var buttons = document.querySelectorAll("button.VfPpkd-LgbsSe.VfPpkd-LgbsSe-OWXEXe-k8QpJ.VfPpkd-LgbsSe-OWXEXe-dgl2Hf.nCP5yc.AjY5Oe.DuMIQc");
    if(buttons){
        buttons.forEach((button) => {
            if(button.className == "VfPpkd-LgbsSe VfPpkd-LgbsSe-OWXEXe-k8QpJ VfPpkd-LgbsSe-OWXEXe-dgl2Hf nCP5yc AjY5Oe DuMIQc") {
                button.click()
            }
        });
        return "success";
    }
    else {
        return "failed";
    }
    
}



